Bug 512814 - Profiles from upgraded Satellite have no information related to Cobbler's 'Red Hat management server registration'
Summary: Profiles from upgraded Satellite have no information related to Cobbler's 'Re...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning
Version: 530
Hardware: All
OS: Linux
urgent
high
Target Milestone: ---
Assignee: Mike McCune
QA Contact: Steve Salevan
URL:
Whiteboard:
Depends On:
Blocks: 456986 457075
TreeView+ depends on / blocked
 
Reported: 2009-07-20 20:26 UTC by Steve Salevan
Modified: 2009-08-27 17:39 UTC (History)
4 users (show)

Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-08-27 17:39:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Steve Salevan 2009-07-20 20:26:58 UTC
Description of problem:
If a user creates a kickstart profile on an old Satellite (<= 520) and proceeds to upgrade the Satellite to 530, the kickstart profile will migrate over to Cobbler appropriately, but the section within the Cobbler-generated kickstart file related to re-registration will read as thus:

# begin cobbler snippet
# begin Red Hat management server registration
# not configured to register to any Red Hat management server (ok)
# end Red Hat management server registration

Furthermore, if one performs a 'cobbler profile dumpvars --name=<profilename>', the information contained pertaining to the Red Hat management server-related keys will look like this:

 'redhat_management_key': '',
 'redhat_management_permissive': 0,
 'redhat_management_server': '<FQDN of Satellite>',
 'redhat_management_type': 'site'

Version-Release number of selected component (if applicable):

I saw this behavior with the following upgrade scenarios:

520->530, 7/14 build
511->530, 7/14 build
3.7->530, 7/14 build

How reproducible:
Always

Steps to Reproduce:
1. Create an older Satellite (<=520) and create a kickstart profile upon it
2. Upgrade this Satellite to the latest build of 530
3. View the Cobbler-generated kickstart file pertaining to the profile you created or run a 'cobbler profile dumpvars --name=<profilename>'
  
Actual results:
As above

Expected results:
Red Hat management server registration information preserved

Additional info:

Comment 1 Mike McCune 2009-07-21 16:52:08 UTC
Working on this currently.

Comment 2 Mike McCune 2009-07-21 21:33:27 UTC
git commits:

8f94b49ce1dd35671f627bd4161e6355631d00f1
43aff0b73ba4d7d0187aedd2be16c1ee79af4ebf

Comment 3 Steve Salevan 2009-07-23 21:32:47 UTC
VERIFIED on 7/22 build.

Comment 4 Preethi Thomas 2009-07-30 12:57:11 UTC
release pending
verified on 
rlx-2-04        4.2 ->5.3 upgrade
rlx-3-08        4.0 -> 5.3 upgrade

Comment 5 Brandon Perkins 2009-08-27 17:39:08 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html


Note You need to log in before you can comment on or make changes to this bug.